﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Interfaces.Services
{
	/// <summary>
	/// This class that contains application session information which may
	/// be used throughout the application.
	/// </summary>
	public interface IApplicationSession
	{
		/// <summary>
		/// Holds the username for the currently logged in user
		/// </summary>
		string UserName { get; }

		/// <summary>
		/// Holds the ID for the customer currently logged in
		/// </summary>
		Guid CurrentCustomerId { get; }
	}
}
