﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Practices.EnterpriseLibrary.Validation;

namespace Interfaces.Services
{
	public interface IBaseRepository
	{
    /// <summary>
    /// Saves all changes
    /// </summary>
		ValidationResults SaveChanges();

		/// <summary>
		/// Validates all changed entities in this Repository
		/// </summary>
		ValidationResults Validate();

    /// <summary>
    /// Cancels the changes made
    /// </summary>
		void CancelChanges();
	}
}