﻿using Constants;
using Infrastructure;
using Interfaces.Controllers;
using Interfaces.Views;

namespace Controllers
{
	public class ShellFormController :BaseViewController<IShellView>, IShellFormController
	{

		public ShellFormController()
		{
      var navController = ServiceLocator.Resolve<INavigationViewController>();
      navController.SetViewRegion(RegionNames.NavigationRegion);
		  navController.WorkspaceRegionName = RegionNames.WorkAreaRegion;
			navController.Activate();
		}


	}
}
