﻿

using System.Windows.Forms;
using Interfaces.Services;

namespace Infrastructure
{
	/// <summary>
	/// Manages all the view regions that are available in the system, 
	/// allowing various GUI elements to request the view regions they require
	/// </summary>
	public class WinformsRegionManager : ObjectManager<Panel>, IWinformsRegionManager
	{
		public WinformsRegionManager() : base(false)
		{
			//we want weak references in our region manager since
			//they should be collected when the host form goes out of scope
		}
	}
}
