﻿using BusinessModel;
using Constants;
using Infrastructure;
using Interfaces.Services;
using Interfaces.ViewModels;
using Interfaces.Views;

namespace ViewModels
{
  public class DataEntryViewModel : BaseViewModel<IDataEntryView>, IDataEntryViewModel
	{
		public Person Person { get; set; }

		public DataEntryViewModel()
		{
			var repo = ServiceLocator.Resolve<IRepository>();
			Person = repo.GetPerson(1);

			View.DataContext = this;
		}

	}
}
